# Template file for 'libwmf-devel'.
#
short_desc="${sourcepkg} development files"
long_desc="${long_desc}

 This package contains files for development, headers, static libs, etc."

revision=3

Add_dependency run pkg-config
Add_dependency run freetype-devel
Add_dependency run jpeg-devel
Add_dependency run libpng-devel
Add_dependency run expat-devel
Add_dependency run glib-devel
Add_dependency run gtk+-devel
Add_dependency run gd-devel
Add_dependency run libX11-devel
Add_dependency run zlib-devel
Add_dependency run libwmf

do_install()
{
	local gtk_abiver="2.10.0"

	mkdir -p ${DESTDIR}/usr/lib/gtk-2.0/${gtk_abiver}/loaders
	mkdir -p  ${DESTDIR}/usr/bin ${DESTDIR}/usr/share
	mv ${SRCPKGDESTDIR}/usr/include ${DESTDIR}/usr
	mv ${SRCPKGDESTDIR}/usr/lib/lib*.*a ${DESTDIR}/usr/lib
	mv ${SRCPKGDESTDIR}/usr/share/doc ${DESTDIR}/usr/share
	mv ${SRCPKGDESTDIR}/usr/bin/libwmf-config ${DESTDIR}/usr/bin
	mv ${SRCPKGDESTDIR}/usr/lib/gtk-2.0/${gtk_abiver}/loaders/*.*a \
		${DESTDIR}/usr/lib/gtk-2.0/${gtk_abiver}/loaders
}
